UpnpActionComplete.c File Reference

Source file for UpnpActionComplete methods. More...

`#include "config.h"`
`#include <stdlib.h>`
`#include <string.h>`
`#include "UpnpActionComplete.h"`
Include dependency graph for UpnpActionComplete.c:

## Data Structures

struct | s_UpnpActionComplete

## Functions

UpnpActionComplete * | UpnpActionComplete_new ()
void | UpnpActionComplete_delete (UpnpActionComplete *q)
int | UpnpActionComplete_assign (UpnpActionComplete *p, const UpnpActionComplete *q)
UpnpActionComplete * | UpnpActionComplete_dup (const UpnpActionComplete *q)
int | UpnpActionComplete_get_ErrCode (const UpnpActionComplete *p)
int | UpnpActionComplete_set_ErrCode (UpnpActionComplete *p, int n)
const UpnpString * | UpnpActionComplete_get_CtrlUrl (const UpnpActionComplete *p)
int | UpnpActionComplete_set_CtrlUrl (UpnpActionComplete *p, const UpnpString *s)
size_t | UpnpActionComplete_get_CtrlUrl_Length (const UpnpActionComplete *p)
const char * | UpnpActionComplete_get_CtrlUrl_cstr (const UpnpActionComplete *p)
int | UpnpActionComplete_strcpy_CtrlUrl (UpnpActionComplete *p, const char *s)
int | UpnpActionComplete_strncpy_CtrlUrl (UpnpActionComplete *p, const char *s, size_t n)
void | UpnpActionComplete_clear_CtrlUrl (UpnpActionComplete *p)
IXML_Document * | UpnpActionComplete_get_ActionRequest (const UpnpActionComplete *p)
int | UpnpActionComplete_set_ActionRequest (UpnpActionComplete *p, IXML_Document *n)
IXML_Document * | UpnpActionComplete_get_ActionResult (const UpnpActionComplete *p)
int | UpnpActionComplete_set_ActionResult (UpnpActionComplete *p, IXML_Document *n)

## Detailed Description

Source file for UpnpActionComplete methods.

Do not edit this file, it is automatically generated. Please look at generator.c.

Author
  Marcelo Roberto Jimenez

## Function Documentation

## UpnpActionComplete_assign()

int UpnpActionComplete_assign | ( | UpnpActionComplete * | p,
|  | const UpnpActionComplete * | q
| ) |  |

Assignment operator

References UpnpActionComplete_get_ActionRequest(), UpnpActionComplete_get_ActionResult(), UpnpActionComplete_get_CtrlUrl(), UpnpActionComplete_get_ErrCode(), UpnpActionComplete_set_ActionRequest(), UpnpActionComplete_set_ActionResult(), UpnpActionComplete_set_CtrlUrl(), and UpnpActionComplete_set_ErrCode().

Referenced by UpnpActionComplete_dup().

## UpnpActionComplete_clear_CtrlUrl()

void UpnpActionComplete_clear_CtrlUrl | ( | UpnpActionComplete * | p | ) |

UpnpActionComplete_clear_CtrlUrl

References UpnpString_clear().

## UpnpActionComplete_delete()

void UpnpActionComplete_delete | ( | UpnpActionComplete * | p | ) |

Destructor

References UpnpString_delete().

Referenced by TestClass_delete(), TestClass_set_TheActionComplete(), and UpnpThreadDistribution().

## UpnpActionComplete_dup()

UpnpActionComplete * UpnpActionComplete_dup | ( | const UpnpActionComplete * | p | ) |

Copy Constructor

References UpnpActionComplete_assign(), and UpnpActionComplete_new().

Referenced by TestClass_set_TheActionComplete().

## UpnpActionComplete_get_ActionRequest()

IXML_Document * UpnpActionComplete_get_ActionRequest | ( | const UpnpActionComplete * | p | ) |

UpnpActionComplete_get_ActionRequest

Referenced by SampleUtil_PrintEvent(), and UpnpActionComplete_assign().

## UpnpActionComplete_get_ActionResult()

IXML_Document * UpnpActionComplete_get_ActionResult | ( | const UpnpActionComplete * | p | ) |

UpnpActionComplete_get_ActionResult

Referenced by SampleUtil_PrintEvent(), and UpnpActionComplete_assign().

## UpnpActionComplete_get_CtrlUrl()

const UpnpString * UpnpActionComplete_get_CtrlUrl | ( | const UpnpActionComplete * | p | ) |

UpnpActionComplete_get_CtrlUrl

Referenced by SampleUtil_PrintEvent(), UpnpActionComplete_assign(), UpnpActionComplete_get_CtrlUrl_cstr(), and UpnpActionComplete_get_CtrlUrl_Length().

## UpnpActionComplete_get_CtrlUrl_cstr()

const char * UpnpActionComplete_get_CtrlUrl_cstr | ( | const UpnpActionComplete * | p | ) |

UpnpActionComplete_get_CtrlUrl_cstr

References UpnpActionComplete_get_CtrlUrl(), and UpnpString_get_String().

## UpnpActionComplete_get_CtrlUrl_Length()

size_t UpnpActionComplete_get_CtrlUrl_Length | ( | const UpnpActionComplete * | p | ) |

UpnpActionComplete_get_CtrlUrl_Length

References UpnpActionComplete_get_CtrlUrl(), and UpnpString_get_Length().

## UpnpActionComplete_get_ErrCode()

int UpnpActionComplete_get_ErrCode | ( | const UpnpActionComplete * | p | ) |

UpnpActionComplete_get_ErrCode

Referenced by SampleUtil_PrintEvent(), and UpnpActionComplete_assign().

## UpnpActionComplete_new()

UpnpActionComplete * UpnpActionComplete_new | ( |  | ) |

Constructor

References UpnpString_new().

Referenced by TestClass_new(), UpnpActionComplete_dup(), and UpnpThreadDistribution().

## UpnpActionComplete_set_ActionRequest()

int UpnpActionComplete_set_ActionRequest | ( | UpnpActionComplete * | p,
|  | IXML_Document * | n
| ) |  |

UpnpActionComplete_set_ActionRequest

Referenced by UpnpActionComplete_assign(), and UpnpThreadDistribution().

## UpnpActionComplete_set_ActionResult()

int UpnpActionComplete_set_ActionResult | ( | UpnpActionComplete * | p,
|  | IXML_Document * | n
| ) |  |

UpnpActionComplete_set_ActionResult

Referenced by UpnpActionComplete_assign(), and UpnpThreadDistribution().

## UpnpActionComplete_set_CtrlUrl()

int UpnpActionComplete_set_CtrlUrl | ( | UpnpActionComplete * | p,
|  | const UpnpString * | s
| ) |  |

UpnpActionComplete_set_CtrlUrl

References UpnpString_get_String(), and UpnpString_set_String().

Referenced by UpnpActionComplete_assign().

## UpnpActionComplete_set_ErrCode()

int UpnpActionComplete_set_ErrCode | ( | UpnpActionComplete * | p,
|  | int | n
| ) |  |

UpnpActionComplete_set_ErrCode

Referenced by UpnpActionComplete_assign(), and UpnpThreadDistribution().

## UpnpActionComplete_strcpy_CtrlUrl()

int UpnpActionComplete_strcpy_CtrlUrl | ( | UpnpActionComplete * | p,
|  | const char * | s
| ) |  |

UpnpActionComplete_strcpy_CtrlUrl

References UpnpString_set_String().

Referenced by UpnpThreadDistribution().

## UpnpActionComplete_strncpy_CtrlUrl()

int UpnpActionComplete_strncpy_CtrlUrl | ( | UpnpActionComplete * | p,
|  | const char * | s,
|  | size_t | n
| ) |  |

UpnpActionComplete_strncpy_CtrlUrl

References UpnpString_set_StringN().